Contents
On this page
List Webhooks - Plugixa Chat
GET /plugixa-chat/v1/webhooks
List the webhook endpoints PRO, one page at a time.
Needs Plugixa Chat Pro. The signed-in user needs the plugixa_chat_view capability. Administrators have it.
Request
GET https://your-site.example/wp-json/plugixa-chat/v1/webhooks
Query parameters
The list parameters every paged list accepts. search matches the name and the address. orderby accepts id, name, created_at and last_sent_at.
Responses
200 OK. data is one page of webhooks.
{
"success": true,
"data": [
{
"id": 3,
"name": "Zapier",
"url": "https://hooks.zapier.com/hooks/catch/123/abc/",
"events": [
"lead.created"
],
"is_active": true,
"last_status": 0,
"last_error": "",
"last_sent_at": null,
"failures": 0,
"deleted_at": null,
"created_at": "2026-11-12 09:30:00",
"modified_at": "2026-11-12 09:30:00",
"created_by": "1",
"modified_by": "1"
}
],
"meta": {
"total": 1,
"pages": 1
}
}
| Field | Type | Meaning |
|---|---|---|
data[] |
object |
A webhook, shaped as in Get Webhook |
meta.total |
integer |
Matching rows, before paging |
meta.pages |
integer |
Number of pages at this per_page |
Errors
Plus the errors every endpoint can return.
Examples
curl -s "https://your-site.example/wp-json/plugixa-chat/v1/webhooks" \
-u "admin:$WP_APP_PASSWORD"
<?php
$ch = curl_init('https://your-site.example/wp-json/plugixa-chat/v1/webhooks');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_USERPWD => 'admin:' . getenv('WP_APP_PASSWORD'),
]);
$response = json_decode(curl_exec($ch), true);
curl_close($ch);
const response = await fetch('https://your-site.example/wp-json/plugixa-chat/v1/webhooks', {
headers: {
'Authorization': 'Basic ' + btoa(`admin:${process.env.WP_APP_PASSWORD}`),
},
});
const { data } = await response.json();
Quick Links
Share